%global pkgvers 0
%global scdate0 20240501
%global schash0 b40cd829be0b2bc2d17e77ca92c08045667912d8
%global branch0 master
%global source0 https://github.com/Nuand/bladeRF.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           bladerf
Version:        2023.02
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        bladeRF platform
License:        GPLv3

URL:            https://github.com/Nuand/bladeRF

BuildRequires:  cmake gcc-c++ git pkgconfig
BuildRequires:  libedit-devel libusb1-devel

%define __cmake_in_source_build 1

%description
Program and interact with a bladeRF platform,
including firmware for bladeRF platform.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Files needed to develop software against %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git submodule update --init --depth 1 thirdparty/analogdevicesinc/no-OS
git log --format=fuller


%build
mkdir -p build
pushd build
%cmake -Wno-dev .. \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DTREAT_WARNINGS_AS_ERRORS=OFF \
       -DTAGGED_RELEASE=ON
%make_build
popd


%install
rm -rf %{buildroot}
pushd build
%make_install
popd


%files
%doc README.md
%license legal/CAA/*
%license legal/licenses/*
%{_bindir}/*
%{_libdir}/*.so.*
%{_sysconfdir}/udev/rules.d/*.rules

%files devel
%{_includedir}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/*


%changelog
* Tue Aug 25 2020 Balint Cristian <cristian.balint@gmail.com>
- github update releaases
